Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.errors
Class GrailsWrappedRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.errors.GrailsWrappedRuntimeException

All Implemented Interfaces:
  Serializable

    public class GrailsWrappedRuntimeException

extends GrailsException

Wraps a Grails RuntimeException and attempts to extract more relevent diagnostic messages from the stack trace.

Since:
  0.1
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary
`static String` | `URL_PREFIX`

Constructor Summary
`GrailsWrappedRuntimeException(ServletContext servletContext, Throwable t)`

Method Summary
`String` | `getClassName()`
`String[]` | `getCodeSnippet()`
`int` | `getLineNumber()`
`String` | `getMessage()`
`String[]` | `getStackTraceLines()`
`String` | `getStackTraceText()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### URL_PREFIX

    public static final String URL_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### GrailsWrappedRuntimeException

    public GrailsWrappedRuntimeException(ServletContext servletContext,
                                         Throwable t)

Parameters:
  `servletContext` - The ServletContext instance
  `t` - The exception that was thrown

Method Detail

### getCodeSnippet

    public String[] getCodeSnippet()

  Returns:
    Returns the line.

### getClassName

    public String getClassName()

  Returns:
    Returns the className.

### getLineNumber

    public int getLineNumber()

  Returns:
    Returns the lineNumber.

### getStackTraceText

    public String getStackTraceText()

  Returns:
    Returns the stackTrace.

### getStackTraceLines

    public String[] getStackTraceLines()

  Returns:
    Returns the stackTrace lines

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD